#ifndef INFO_ICON_HPP_
#define INFO_ICON_HPP_

#include <Widget/Widget.hpp>

/**
 * @brief A widget which displays an info icon with a tooltip.
 */
class InfoIcon : public Widget
{
private:
    std::string m_tip;

public:
    InfoIcon(std::string tip);

    virtual glm::ivec2 getMinSize() override;
    void draw(GraphicsContext &context) override;
};

#endif